import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-10 13:17
 */
export interface PpUserV3 {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 用户昵称
    * @type { string }
    */
    nickName?: string;
    /**
    * 用户头像
    * @type { string }
    */
    avatar?: string;
    /**
    * 联系电话
    * @type { string }
    */
    phone?: string;
    /**
    * 邮箱
    * @type { string }
    */
    email?: string;
    /**
    * 性别
    * @type { string }
    */
    gender?: string;
    /**
    * 普通车牌号
    * @type { string }
    */
    commonLpn?: string;
    /**
    * 绑定车牌号
    * @type { string }
    */
    bindedLpn?: string;
    /**
    * 省份ID
    * @type { string }
    */
    provId?: string;
    /**
    * 城市ID
    * @type { string }
    */
    cityId?: string;
    /**
    * 区县ID
    * @type { string }
    */
    districtId?: string;
    /**
    * 备用字段1
    * @type { string }
    */
    spareField1?: string;
    /**
    * 备用字段2
    * @type { string }
    */
    spareField2?: string;
    /**
    * 备用字段3
    * @type { string }
    */
    spareField3?: string;
    /**
    * 备用字段4
    * @type { string }
    */
    spareField4?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PpUserV3MI {
    static get ID(): FieldInfo;
    static get NICK_NAME(): FieldInfo;
    static get AVATAR(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get EMAIL(): FieldInfo;
    static get GENDER(): FieldInfo;
    static get COMMON_LPN(): FieldInfo;
    static get BINDED_LPN(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get DISTRICT_ID(): FieldInfo;
    static get SPARE_FIELD_1(): FieldInfo;
    static get SPARE_FIELD_2(): FieldInfo;
    static get SPARE_FIELD_3(): FieldInfo;
    static get SPARE_FIELD_4(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
